
create_deploy_pipeline:
  stage: build
  script:
  - seconds_until_deploy=$(( $(date +%s -d "tomorrow 05:00") - $( date +%s ) ))
  - |
    cat > dynamic.yml << EOF
    deploy_job:
      script:
        - ./deploy.sh
      when: delayed
      start_in: ${seconds_until_deploy} seconds
    EOF
  artifacts:
    paths:
      - dynamic.yml


deploy-pipeline:
  stage: test
  trigger:
    include:
      - artifact: dynamic.yml
        job: create_deploy_pipeline

